View Issue Details

IDProjectCategoryLast Update
0025628AI War 2Crash/ExceptionOct 12, 2021 3:59 pm
ReporterMac Assigned Tox4000Bughunter  
Severitycrash 
Status resolvedResolutionfixed 
Product VersionBeta 3.705 Blazing Collections And The New Spire 
Fixed in VersionBeta 3.706 Expanded Wormhole Invasions And Raid Engines 
Summary0025628: Game Freezes When Loading
DescriptionSo on startup, the game goes through a bunch of stuff just fine, but catches at whatever is after "Calculating Firing Cones" and becomes unresponsive. I'll just paste the log below as it isn't very long...but there's no exceptions thrown anywhere. Worth noting: I'm using the latest versions of my drivers.


10/10/2021 2:09:57 PM SINGLEP Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
10/10/2021 2:09:57 PM SINGLEP Boot up FleetOS (0.1992s)
10/10/2021 2:09:57 PM SINGLEP graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10 (10.0.19043) 64bit
graphicsDeviceName: NVIDIA GeForce RTX 2080 SUPER
graphicsDeviceID: 7809
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8010
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4590 CPU @ 3.30GHz
processorCount: 4
processorFrequency: 3300
systemMemorySize: 32715
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
10/10/2021 2:09:57 PM SINGLEP Check System Logs For Rogue Intelligence (0.2998s)
10/10/2021 2:09:57 PM SINGLEP Warning: skipped mod "_Vanilla" in XMLLoadingOrder.txt because we couldn't find any mod with that name
10/10/2021 2:09:57 PM SINGLEP Inspect Aft Hatches (0.0490s)
10/10/2021 2:09:57 PM SINGLEP Found 462 xml files in 120 folders in 52ms
10/10/2021 2:09:58 PM SINGLEP Check For Extra Modules (0.4504s)
10/10/2021 2:09:58 PM SINGLEP 462 Xml Files Parsed in 393ms
10/10/2021 2:09:58 PM SINGLEP Gather Ancient Lifeforms (0.0030s)
10/10/2021 2:09:58 PM 3.705 SINGLEP Game Version: 3.705
10/10/2021 2:09:58 PM 3.705 SINGLEP Eject Trash Into Hyperspace (0.0110s)
10/10/2021 2:09:58 PM 3.705 SINGLEP Bring Cloaking Systems Online (0.0260s)
10/10/2021 2:09:58 PM 3.705 SINGLEP Update mod and expansion statuses!
10/10/2021 2:09:58 PM 3.705 SINGLEP Expansions: The Spire Rises (Installed And Enabled!) Zenith Onslaught (Installed And Enabled!) The Neinzul Abyss (Installed And Enabled!)
10/10/2021 2:09:58 PM 3.705 SINGLEP Mods: CapturableDreadnoughts (Disabled) CustomShips (Disabled) ExoticShips (Disabled) ExtendedShipVariants (Disabled) FrigatesFocus (Disabled) MicroModCollection (Disabled) MoreFrigates (Disabled) MoreStartingFleets (Disabled) MoreSystemDefenders (Disabled) MyFleets (Disabled) PowerfulCommandStations (Disabled) RaisingTheFloorMultiAIAdjustment (Disabled) SKCivilianIndustry (Disabled) SpireRailgunShop (Disabled) SuperchargeRaid (Disabled) SuperSaiyanOverlord (Disabled) TameDarkSpire (Disabled) ZeusMods (Disabled)
10/10/2021 2:09:58 PM 3.705 SINGLEP Check Nearby Stellar Masses (0.0290s)
10/10/2021 2:09:58 PM 3.705 SINGLEP 462 Xml Files Checked For Exp/Mod Status in 14ms
10/10/2021 2:09:58 PM 3.705 SINGLEP Pruning Excess Brain Cells (0.0510s)
10/10/2021 2:09:58 PM 3.705 SINGLEP No resolution change was required.
10/10/2021 2:09:58 PM 3.705 SINGLEP Applied graphics settings:
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/10/2021 2:09:58 PM 3.705 SINGLEP Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
10/10/2021 2:09:58 PM 3.705 SINGLEP Remembering Alamo (0.1080s)
10/10/2021 2:09:58 PM 3.705 SINGLEP Calculate Odds Of Success (0.1799s)
10/10/2021 2:09:58 PM 3.705 SINGLEP Briefly Panic (0.2130s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Install Confidence Routines (0.5448s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Late Axionic Computations (0.3219s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Acquiring Towel (0.0170s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Inhibiting Visual Scans (0.0150s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Ejecting Tactical Core (0.0630s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Grouping Flow Fields (0.0310s)
10/10/2021 2:09:59 PM 3.705 SINGLEP Scattering Starfields (0.1829s)
10/10/2021 2:10:00 PM 3.705 SINGLEP Combing Distant Planets (0.1709s)
10/10/2021 2:10:00 PM 3.705 SINGLEP Calculating Firing Cones (0.0050s)
TagsNo tags attached.

Activities

BadgerBadger

Oct 11, 2021 1:36 pm

manager   ~0062914

Is this repeatable?

Mac

Oct 11, 2021 3:01 pm

reporter   ~0062915

This was the second out of the three attempts I made at booting the game up that day, all of which froze at the exact same spot.
Further testing today at trying to boot with OpenGL repeats the same results.
Do you think it might be a corrupt file from when steam downloaded the update? I'm not seeing anybody else with this issue, and as you can see in the log I don't have any mods loaded.

BadgerBadger

Oct 11, 2021 4:11 pm

manager   ~0062916

Try verifying your install and see what happens

NRSirLimbo

Oct 11, 2021 5:10 pm

developer   ~0062917

Happens to me too:


10/11/2021 11:07:28 PM SINGLEP Boot up FleetOS (0.2970s)
10/11/2021 11:07:28 PM SINGLEP graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 7 (6.1.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 970
graphicsDeviceID: 5058
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 3992
maxTextureSize: 16384
npotSupport: Full
processorType: AMD FX(tm)-9590 Eight-Core Processor
processorCount: 8
processorFrequency: 4689
systemMemorySize: 24555
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
10/11/2021 11:07:28 PM SINGLEP Check System Logs For Rogue Intelligence (0.2580s)
10/11/2021 11:07:28 PM SINGLEP Inspect Aft Hatches (0.0440s)
10/11/2021 11:07:28 PM SINGLEP Found 577 xml files in 122 folders in 88ms
10/11/2021 11:07:30 PM SINGLEP Check For Extra Modules (1.4491s)
10/11/2021 11:07:30 PM SINGLEP 577 Xml Files Parsed in 1,360ms
10/11/2021 11:07:30 PM SINGLEP Gather Ancient Lifeforms (0.0090s)
10/11/2021 11:07:30 PM 3.705 SINGLEP Game Version: 3.705
10/11/2021 11:07:30 PM 3.705 SINGLEP Eject Trash Into Hyperspace (0.0100s)
10/11/2021 11:07:30 PM 3.705 SINGLEP Bring Cloaking Systems Online (0.0330s)
10/11/2021 11:07:30 PM 3.705 SINGLEP Update mod and expansion statuses!
10/11/2021 11:07:30 PM 3.705 SINGLEP Expansions: The Spire Rises (Installed And Enabled!) Zenith Onslaught (Installed And Enabled!) The Neinzul Abyss (Installed And Enabled!)
10/11/2021 11:07:30 PM 3.705 SINGLEP Mods: AMU_Indev (Disabled) CapturableDreadnoughts (Disabled) Command_Defense_Rebalance (Disabled) CooperativeUniverse_Indev (Disabled) DevourerChrysalis_Indev (Disabled) ExoticShips_Indev (Disabled) ExtendedShipVariants_Indev (Disabled) FatalWarfare_Indev (Disabled) FrigatesFocus (Disabled) KaizersMarauders_Indev (Disabled) MarauderRework (Disabled) MicroModCollection_Indev (Disabled) MoreFrigates (Disabled) MoreStartingFleets (Disabled) MoreSystemDefenders (Disabled) OPStuff (Disabled) PowerfulCommandStations (Disabled) PreceptsOfThePrecursors (Disabled) RaisingTheFloorMultiAIAdjustment (Disabled) SKCivilianIndustry (Disabled) Spirecraft (Disabled) SpireRailgunShop (Disabled) SuperchargeRaid (Disabled) SuperSaiyanOverlord (Disabled) TameDarkSpire (Disabled) TestStuff_Indev (Disabled) ThemedImbalancedStartingFleets (Disabled) UniversalResourceIntegration_Indev (Disabled)
10/11/2021 11:07:30 PM 3.705 SINGLEP Check Nearby Stellar Masses (0.0610s)
10/11/2021 11:07:30 PM 3.705 SINGLEP 577 Xml Files Checked For Exp/Mod Status in 45ms
10/11/2021 11:07:30 PM 3.705 SINGLEP Pruning Excess Brain Cells (0.1050s)
10/11/2021 11:07:30 PM 3.705 SINGLEP No resolution change was required.
10/11/2021 11:07:30 PM 3.705 SINGLEP Applied graphics settings:
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/11/2021 11:07:30 PM 3.705 SINGLEP Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
10/11/2021 11:07:30 PM 3.705 SINGLEP Remembering Alamo (0.1940s)
10/11/2021 11:07:30 PM 3.705 SINGLEP Calculate Odds Of Success (0.2650s)
10/11/2021 11:07:31 PM 3.705 SINGLEP Briefly Panic (0.3440s)
10/11/2021 11:07:31 PM 3.705 SINGLEP Install Confidence Routines (0.7920s)
10/11/2021 11:07:32 PM 3.705 SINGLEP Late Axionic Computations (0.5080s)
10/11/2021 11:07:32 PM 3.705 SINGLEP Acquiring Towel (0.0440s)
10/11/2021 11:07:32 PM 3.705 SINGLEP Inhibiting Visual Scans (0.0320s)
10/11/2021 11:07:32 PM 3.705 SINGLEP Ejecting Tactical Core (0.1160s)
10/11/2021 11:07:32 PM 3.705 SINGLEP Grouping Flow Fields (0.0540s)
10/11/2021 11:07:32 PM 3.705 SINGLEP Medicating Starfields (0.2850s)
10/11/2021 11:07:33 PM 3.705 SINGLEP Destroying Distant Planets (0.2920s)
10/11/2021 11:07:33 PM 3.705 SINGLEP Calculating Firing Cones (0.0120s)

Mac

Oct 12, 2021 3:02 pm

reporter   ~0062920

Verifying finds no problems and doesn't fix anything.

x4000Bughunter

Oct 12, 2021 3:59 pm

administrator   ~0062921

Thanks!

* The game is now forced to load the game entity data in a single thread, since it was consistently during this step that people were running into deadlocks on game load. I am a bit surprised I did not think to do this before, but I had shifted the actual loading of graphics to be direct rather than asynchronous. It may be possible that this lockup is unrelated to unity jobs after all, and perhaps there's just something that was prone to (relatively, in the grand scheme of things) rare deadlocks. I've seen it myself, but only one in every 50 or so times I start the game, if that. (I start the game an average of 30+ times a day, depending on what sort of coding I'm doing).
** Anyhow, we'll see if this helps, fingers crossed.

Issue History

Date Modified Username Field Change
Oct 10, 2021 2:17 pm Mac New Issue
Oct 11, 2021 1:36 pm BadgerBadger Note Added: 0062914
Oct 11, 2021 3:01 pm Mac Note Added: 0062915
Oct 11, 2021 4:11 pm BadgerBadger Note Added: 0062916
Oct 11, 2021 5:10 pm NRSirLimbo Note Added: 0062917
Oct 12, 2021 3:02 pm Mac Note Added: 0062920
Oct 12, 2021 3:59 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 12, 2021 3:59 pm x4000Bughunter Status new => resolved
Oct 12, 2021 3:59 pm x4000Bughunter Resolution open => fixed
Oct 12, 2021 3:59 pm x4000Bughunter Fixed in Version => Beta 3.706 Expanded Wormhole Invasions And Raid Engines
Oct 12, 2021 3:59 pm x4000Bughunter Note Added: 0062921